//*****************************************************************************
//*****************************************************************************
//  FILENAME:   SHT1x.h
//  Version: 1.0, 2006/08/07 at 17:13
//  Generated by Andy Kiser
//
//  DESCRIPTION:  C include file for two wire interface
//                for the 22/24/25/26/27xxx PSoC family of devices.
//-----------------------------------------------------------------------------
// Originally authored by Toradex AG. This work is now available under the terms and conditions
// of the Creative Commons License 'Attribution CC BY', details of which can be found here:
// http://creativecommons.org/licenses/by/3.0/
//*****************************************************************************
//*****************************************************************************
#include <m8c.h>


//-------------------------------------------------
extern BYTE CRC8;

//-------------------------------------------------
// Prototypes of the SHT1x API.
//-------------------------------------------------
#pragma fastcall16  SHT1x_Start
extern void SHT1x_Start (void);

#pragma fastcall16  SHT1x_Suspend
extern void SHT1x_Suspend (void);

#pragma fastcall16  SHT1x_Resume
extern void SHT1x_Resume (void);

#pragma fastcall16  SHT1x_Measure
extern WORD SHT1x_Measure (BYTE command);

#pragma fastcall16  SHT1x_ReadStatus
extern BYTE SHT1x_ReadStatus (void);

#pragma fastcall16  SHT1x_WriteStatus
extern void SHT1x_WriteStatus (BYTE Status);

// non-blocking functions
#pragma fastcall16  SHT1x_nbMeasure_Start
extern void	SHT1x_nbMeasure_Start (char Command);

#pragma fastcall16  SHT1x_nbMeasure_Done
extern BOOL	SHT1x_nbMeasure_Done (void);

#pragma fastcall16  SHT1x_nbMeasure_Result
extern WORD	SHT1x_nbMeasure_Result (void);

#pragma fastcall16  Mirror_CRC8;
extern void Mirror_CRC8(void);


//-------------------------------------------------
// global variables
//-------------------------------------------------

// end of file SHT1x.h
